org.wso2.carbon.dataservices.sql.driver.parser

## Class Condition

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.parser.Condition

-     public class Condition
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Condition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumn()`
    `Condition` | `getLhs()`
    `String` | `getOperator()`
    `Condition` | `getRhs()`
    `String` | `getValue()`
    `Map<Integer,DataRow>` | `process(DataTable dataTable)` Processes the condition by traversing through the binary tree of conditions that it creates while parsing the WHERE clause of a conditional SQL statement.
    `void` | `setColumn(String column)`
    `void` | `setLhs(Condition lhs)`
    `void` | `setOperator(String operator)`
    `void` | `setRhs(Condition rhs)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Condition

          public Condition()

  - ### Method Detail

    - #### process

          public Map<Integer,DataRow> process(DataTable dataTable)
                                       throws SQLException

      Processes the condition by traversing through the binary tree of conditions that it creates while parsing the WHERE clause of a conditional SQL statement.

      Parameters:
        `dataTable` - Input data
      Returns:
        Filtered out data after evaluating the input against the provided conditions
      Throws:
        `SQLException`

    - #### getColumn

          public String getColumn()

    - #### setColumn

          public void setColumn(String column)

    - #### getOperator

          public String getOperator()

    - #### setOperator

          public void setOperator(String operator)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getLhs

          public Condition getLhs()

    - #### setLhs

          public void setLhs(Condition lhs)

    - #### getRhs

          public Condition getRhs()

    - #### setRhs

          public void setRhs(Condition rhs)

Copyright © 2020 WSO2. All rights reserved.